* {
box-sizing: border-box;
}
html {
    --body-background: #fde68a;
    --main-background: #f5c228;
}


/* playpen-sans-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Playpen Sans';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/playpen-sans-v21-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}


body {
    margin: 0 auto;
    padding: 1em;
    max-width: 45em;
    background-color: var(--body-background);
    color: #462f06;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 1em;
    line-height: 1.5em;
}
h1 {
    font-size: 2em;
    line-height: 1.1em;
}
a {
    color: #b91c92;
}
textarea {
    width:  90%;
    height: 20em;
}
img {
    width: 90%;
}
.header {
    background-color: var(--body-background);
    padding-left: 3em;
    font-size: 0.9em;
}
.main {
    background-color: var(--main-background);
    padding: 1em;
    border-radius: 20px;
    border: 2px solid #c4af8b;
}
.message {
    background-color: var(--body-background);
    border-radius: 5px;
    padding: 1em;
    margin-top: 15px;
}
.header {
    margin-bottom: 1em;
}
.footer {
    background-color: var(--body-background);
    padding: 1em;
    margin-top: 1em;
    font-size: 0.75em;
    text-align: right;
}

.figure {
  margin: 0;
  position: relative;
}

.figure figure-frame {
    background-color: #fff;
    border: 1px solid #E1E1E1;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.1), 0 6px 20px 0 rgba(0, 0, 0, 0.09);
    padding: 10px;
}

.figure_caption {
  background-color: #fff;
  border-radius: 5px;
  display: flex;
  font-family: 'Playpen Sans';
  font-size: 14px;
  font-style: normal;
  padding: 2px 10px;
  position: absolute;
  z-index: 10;
}

.figure_caption.figure_caption___location {
  color: #AA1413;
  gap: 8px;
  align-items: center;
  padding: 0 10px;;
}

.figure_pin {
  height: 20px;
  width: auto;
}

@media (prefers-color-scheme: dark) {
body,
.message,
.header,
.footer {
    color: #ffd3ad;
    background-color: #4d2a0c;
}
.main {
    color: #ffeece;
    background-color: rgb(44, 31, 3);
}
a {
    color: #ffa8e9;
}
}